CREATE TABLE inv_cc_subinventories (
    CYCLE_COUNT_HEADER_ID     NUMBER(18, 0) ,
    ORGANIZATION_ID           NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY              VARCHAR2(40)  ,
    INCLUDE_IN_COUNT          NUMBER(18, 0)     NOT NULL,
    NUM_COUNTS_PER_YEAR       NUMBER(5, 0)  ,
    WEEKLY_COUNT_FREQUENCY    NUMBER(1, 0)  ,
    LAST_SCHEDULE_DATE        DATE          ,
    NEXT_SCHEDULE_DATE        DATE          ,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CYCLE_COUNT_HEADER_ID     NUMBER(18, 0) ,
    ORGANIZATION_ID           NUMBER(18, 0)     NOT NULL,
    SUBINVENTORY              VARCHAR2(40)  ,
    INCLUDE_IN_COUNT          NUMBER(18, 0)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    NUM_COUNTS_PER_YEAR       NUMBER(5, 0)  ,
    WEEKLY_COUNT_FREQUENCY    NUMBER(1, 0)  ,
    LAST_SCHEDULE_DATE        DATE          ,
    NEXT_SCHEDULE_DATE        DATE          ,
    CONSTRAINT pk_inv_cc_subinventories PRIMARY KEY (CYCLE_COUNT_HEADER_ID, SUBINVENTORY, CYCLE_COUNT_HEADER_ID, SUBINVENTORY)
);
